List root certs

Description

Get a list of all root certs which the basestation knows. Each certificate is associated with a certificate ID.This function is only available to administrators.

Request

GET /v1/root-certs/

Response

Successful response contains the following JSON formated body:

{
  certId: string,
  rootCert: string,
  tags: {
    [key: string]: string
  },
  created: string
}[]

Response Status codes:

  • 200 on success

  • 403 if not administrator

Request headers

This request must have the following headers:

  • Authorization: bearer <ApiKey>

Example

Request

curl "https://api.cloud.nabto.com/v1/root-certs/" \
  -H "Authorization: Bearer <ApiKey>"

Response

[{
   "certId": "<certId>",
  "rootCert": "<rootCert>",
  "tags": {
    "foo": "bar" 
  },
  "created": "2022-10-18T10:17:24.299Z"
},
...]